[08001] sslmode: prefer

Answered

I am connected to GreenPlume 4.3. In the "Advenced" tab, the name of the parameter "sslmode" does not have the value "prefer", so I added "? Sslmode = prefer" in the "URL". On what I get error 08001. The PostgreSQL documentation describes the possibility of selecting "sslmode = prefer".

How do I connect to the database with the parameter "sslmode = prefer"?

P.S. I connect without any problems with the parameter through in PgAdmin 3.

4 comments
Comment actions Permalink

Could you try to set this option on advanced tab?
E.g.:


0
Comment actions Permalink

I have tried. None of the options work. The official PG site lists 6 options, when DataGrip allows select only 4. https://www.postgresql.org/docs/9.1/static/libpq-ssl.html

0
Comment actions Permalink

@Oskrobuk Could it be that GreenPlum needs previous jdbc driver version?

0
Comment actions Permalink

Tried - it did not help. I always get the error "Not the correct value of sslmode = prefer".

0

Please sign in to leave a comment.